// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

type CurrentForecast struct {
	ID       string     `json:"id"`
	Text     string     `json:"text"`
	Rain     string     `json:"rain"`
	Snow     string     `json:"snow"`
	Sys      string     `json:"sys"`
	Timezone int        `json:"timezone"`
	Weather  []*Weather `json:"weather"`
	Idx      int        `json:"idx"`
	Main     string     `json:"main"`
}

type NewTodo struct {
	Text   string `json:"text"`
	UserID string `json:"userId"`
}

type Todo struct {
	ID   string `json:"id"`
	Text string `json:"text"`
	Done bool   `json:"done"`
	User *User  `json:"user"`
}

type User struct {
	ID   string `json:"id"`
	Name string `json:"name"`
}

type Weather struct {
	ID          string `json:"id"`
	Icon        string `json:"icon"`
	Main        string `json:"main"`
	Description string `json:"description"`
}
